<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: LaserRangeFinder.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_laser_range_finder_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">LaserRangeFinder.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_laser_range_finder_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef LASERRANGEFINDER_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define LASERRANGEFINDER_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_device_8h.html">IODevice.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>FrameworkManager;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>Matrix;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">class </span>Tab;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">class </span>GroupBox;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">class </span>Layout;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">class </span>RangeFinderPlot;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;}</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">namespace </span>sensor {</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_laser_range_finder.html">   38</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html">LaserRangeFinder</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#a7ad0bd1e2d3ac86a5c8be2f520585517">LaserRangeFinder</a>(std::string name);</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#a7ad0bd1e2d3ac86a5c8be2f520585517">LaserRangeFinder</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_i_o_device.html">core::IODevice</a> *parent, std::string name);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#ab05261c5a3b05e39ab7068df65acfeb8">~LaserRangeFinder</a>();</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#a473c2a1847c1eba1638dfc6dbf94e955">UseDefaultPlot</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_range_finder_plot.html">gui::RangeFinderPlot</a> *<a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#a0195de6681d96bfdc0de0abb0f735fc2">GetPlot</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_layout.html">gui::Layout</a> *<a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#a978553e21cb5b1ad97a2e77dcca2f131">GetLayout</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *<a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#a00cc6a10c9f6bc146dd269acd347b72f">GetPlotTab</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#a25d3123e9dad148d90c67277a27d62b3">Value</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classflair_1_1sensor_1_1_laser_range_finder.html#a937a6f3b5be14e11d6ec1d4ed252f163">  104</a></span>&#160;  <a class="code" href="classflair_1_1core_1_1_matrix.html">core::Matrix</a> *<a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#a937a6f3b5be14e11d6ec1d4ed252f163">output</a>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_group_box.html">gui::GroupBox</a> *<a class="code" href="classflair_1_1sensor_1_1_laser_range_finder.html#a4fcff544e888eabd22de520366849cd4">GetGroupBox</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *main_tab;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab_widget.html">gui::TabWidget</a> *tab;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_group_box.html">gui::GroupBox</a> *setup_groupbox;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *sensor_tab;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_range_finder_plot.html">gui::RangeFinderPlot</a> *plot;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  <a class="code" href="classflair_1_1gui_1_1_tab.html">gui::Tab</a> *plot_tab;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;};</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="preprocessor">#endif // LASERRANGEFINDER_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:45</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html">flair::sensor::LaserRangeFinder</a></div><div class="ttdoc">Classe generique intégrant les telemetres laser. </div><div class="ttdef"><b>Definition:</b> LaserRangeFinder.h:38</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_group_box_html"><div class="ttname"><a href="classflair_1_1gui_1_1_group_box.html">flair::gui::GroupBox</a></div><div class="ttdoc">Class displaying a QGroupBox on the ground station. </div><div class="ttdef"><b>Definition:</b> GroupBox.h:27</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html_a937a6f3b5be14e11d6ec1d4ed252f163"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html#a937a6f3b5be14e11d6ec1d4ed252f163">flair::sensor::LaserRangeFinder::output</a></div><div class="ttdeci">core::Matrix * output</div><div class="ttdoc">Output matrix. </div><div class="ttdef"><b>Definition:</b> LaserRangeFinder.h:104</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html_a978553e21cb5b1ad97a2e77dcca2f131"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html#a978553e21cb5b1ad97a2e77dcca2f131">flair::sensor::LaserRangeFinder::GetLayout</a></div><div class="ttdeci">gui::Layout * GetLayout(void) const </div><div class="ttdoc">Setup Layout. </div></div>
<div class="ttc" id="_i_o_device_8h_html"><div class="ttname"><a href="_i_o_device_8h.html">IODevice.h</a></div><div class="ttdoc">Abstract class for input/ouput system. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html_a00cc6a10c9f6bc146dd269acd347b72f"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html#a00cc6a10c9f6bc146dd269acd347b72f">flair::sensor::LaserRangeFinder::GetPlotTab</a></div><div class="ttdeci">gui::Tab * GetPlotTab(void) const </div><div class="ttdoc">Plot tab. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_layout_html"><div class="ttname"><a href="classflair_1_1gui_1_1_layout.html">flair::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:33</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html_a0195de6681d96bfdc0de0abb0f735fc2"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html#a0195de6681d96bfdc0de0abb0f735fc2">flair::sensor::LaserRangeFinder::GetPlot</a></div><div class="ttdeci">gui::RangeFinderPlot * GetPlot(void) const </div><div class="ttdoc">Plot. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html_a4fcff544e888eabd22de520366849cd4"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html#a4fcff544e888eabd22de520366849cd4">flair::sensor::LaserRangeFinder::GetGroupBox</a></div><div class="ttdeci">gui::GroupBox * GetGroupBox(void) const </div><div class="ttdoc">Setup GroupBox. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab_widget.html">flair::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:29</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html_a25d3123e9dad148d90c67277a27d62b3"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html#a25d3123e9dad148d90c67277a27d62b3">flair::sensor::LaserRangeFinder::Value</a></div><div class="ttdeci">float Value(void) const </div><div class="ttdoc">Value. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html_a7ad0bd1e2d3ac86a5c8be2f520585517"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html#a7ad0bd1e2d3ac86a5c8be2f520585517">flair::sensor::LaserRangeFinder::LaserRangeFinder</a></div><div class="ttdeci">LaserRangeFinder(std::string name)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1gui_1_1_range_finder_plot_html"><div class="ttname"><a href="classflair_1_1gui_1_1_range_finder_plot.html">flair::gui::RangeFinderPlot</a></div><div class="ttdoc">Class displaying a 2D plot on the ground station for laser range finder like Hokuyo. </div><div class="ttdef"><b>Definition:</b> RangeFinderPlot.h:37</div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html_a473c2a1847c1eba1638dfc6dbf94e955"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html#a473c2a1847c1eba1638dfc6dbf94e955">flair::sensor::LaserRangeFinder::UseDefaultPlot</a></div><div class="ttdeci">void UseDefaultPlot(void)</div><div class="ttdoc">Use default plot. </div></div>
<div class="ttc" id="classflair_1_1sensor_1_1_laser_range_finder_html_ab05261c5a3b05e39ab7068df65acfeb8"><div class="ttname"><a href="classflair_1_1sensor_1_1_laser_range_finder.html#ab05261c5a3b05e39ab7068df65acfeb8">flair::sensor::LaserRangeFinder::~LaserRangeFinder</a></div><div class="ttdeci">~LaserRangeFinder()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_matrix.html">flair::core::Matrix</a></div><div class="ttdoc">Class defining a matrix. </div><div class="ttdef"><b>Definition:</b> Matrix.h:31</div></div>
<div class="ttc" id="classflair_1_1gui_1_1_tab_html"><div class="ttname"><a href="classflair_1_1gui_1_1_tab.html">flair::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:29</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_6e0f9c50eed172896c55a6e61952176b.html">FlairSensorActuator</a></li><li class="navelem"><a class="el" href="dir_c5d95abdcafe7d1171548eb561d7ce37.html">src</a></li><li class="navelem"><a class="el" href="_laser_range_finder_8h.html">LaserRangeFinder.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
